## omnidb 2.15.0%2Bds

=== requirements.txt ===
Django==2.1.7
cherrypy
tornado
click
sqlparse>=0.2.3
psycopg2-binary
pyscrypt
pyaes
openpyxl
RestrictedPython>=4.0b2
cx_Oracle>=6.1
pymysql
pgspecial
sshtunnel
pexpect

=== debian/changelog ===
omnidb (2.15.0+ds-1.pgdg18.10+1) cosmic-pgdg; urgency=medium

  * Rebuild for cosmic-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 29 May 2019 16:39:27 +0200

omnidb (2.15.0+ds-1) unstable; urgency=medium

  * Initial release.
  * Use system paramiko instead of bundled module.
  * Remove files from orig tarball:
      OmniDB/deploy/lib: contains .so files
      OmniDB/OmniDB_app/include/paramiko: not needed
      OmniDB/OmniDB_app/tests: non needed, and contains binary files

 -- Christoph Berg <myon@debian.org>  Wed, 29 May 2019 16:39:27 +0200

=== debian/control ===
Source: omnidb
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper (>= 11),
 dh-python,
 fonts-glewlwyd,
 fonts-roboto-unhinted,
 libjs-excanvas,
 libjs-jquery,
 libjs-jquery-ui,
 postgresql-server-dev-all,
 python3:any | python3-all:any | python3-dev:any | python3-all-dev:any,
Standards-Version: 4.3.0
Homepage: https://omnidb.org/
Vcs-Browser: https://salsa.debian.org/postgresql/omnidb
Vcs-Git: https://salsa.debian.org/postgresql/omnidb.git

Package: omnidb-common
Architecture: all
Depends:
 ${fonts:Depends},
 ${js:Depends},
 ${misc:Depends},
 ${python3:Depends},
 python3-cherrypy3,
 python3-django,
 python3-openpyxl,
 python3-paramiko,
 python3-pgspecial,
 python3-prettytable,
 python3-psycopg2,
 python3-pyaes,
 python3-restrictedpython,
 python3-scrypt,
 python3-sqlparse,
 python3-sshtunnel,
 python3-tornado,
Description: Web tool for database management
 OmniDB is a web tool that simplifies database management focusing on
 interactivity, designed to be powerful and lightweight. Check-out some
 characteristics:
 .
  * Web Tool: Accessible from any platform, using a browser as a medium
  * Responsive Interface: All available functions in a single page
  * Unified Workspace: Different technologies managed in a single workspace
  * Simplified Editing: Easy to add and remove connections
  * Safety: Multi-user support with encrypted personal information
  * Interactive Tables: All functionalities use interactive tables, allowing
    copying and pasting in blocks
  * Smart SQL Editor: Contextual SQL code completion
  * Beautiful SQL Editor: You can choose between many available color themes
  * Tabbed SQL Editor: Easily add, rename or delete editor tabs
 .
 Supported DBMS: PostgreSQL, Oracle, MySQL, MariaDB
 .
 This package contains shared files.

Package: omnidb-server
Architecture: all
Depends:
 ${misc:Depends},
 adduser,
 omnidb-common (= ${binary:Version}),
Description: Web tool for database management
 OmniDB is a web tool that simplifies database management focusing on
 interactivity, designed to be powerful and lightweight. Check-out some
 characteristics:
 .
  * Web Tool: Accessible from any platform, using a browser as a medium
  * Responsive Interface: All available functions in a single page
  * Unified Workspace: Different technologies managed in a single workspace
  * Simplified Editing: Easy to add and remove connections
  * Safety: Multi-user support with encrypted personal information
  * Interactive Tables: All functionalities use interactive tables, allowing
    copying and pasting in blocks
  * Smart SQL Editor: Contextual SQL code completion
  * Beautiful SQL Editor: You can choose between many available color themes
  * Tabbed SQL Editor: Easily add, rename or delete editor tabs
 .
 Supported DBMS: PostgreSQL, Oracle, MySQL, MariaDB
 .
 This package runs OmniDB as system service on http://127.0.0.1:8000.

Package: postgresql-9.4-omnidb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.4
Description: PostgreSQL PL/pgSQL debugger extension for OmniDB
 OmniDB is a web tool that simplifies database management focusing on
 interactivity, designed to be powerful and lightweight.
 .
 This package contains the PostgreSQL extension for interactive PL/pgSQL
 debugging in OmniDB.

Package: postgresql-9.5-omnidb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.5
Description: PostgreSQL PL/pgSQL debugger extension for OmniDB
 OmniDB is a web tool that simplifies database management focusing on
 interactivity, designed to be powerful and lightweight.
 .
 This package contains the PostgreSQL extension for interactive PL/pgSQL
 debugging in OmniDB.

Package: postgresql-9.6-omnidb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.6
Description: PostgreSQL PL/pgSQL debugger extension for OmniDB
 OmniDB is a web tool that simplifies database management focusing on
 interactivity, designed to be powerful and lightweight.
 .
 This package contains the PostgreSQL extension for interactive PL/pgSQL
 debugging in OmniDB.

Package: postgresql-10-omnidb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-10
Description: PostgreSQL PL/pgSQL debugger extension for OmniDB
 OmniDB is a web tool that simplifies database management focusing on
 interactivity, designed to be powerful and lightweight.
 .
 This package contains the PostgreSQL extension for interactive PL/pgSQL
 debugging in OmniDB.

Package: postgresql-11-omnidb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-11
Description: PostgreSQL PL/pgSQL debugger extension for OmniDB
 OmniDB is a web tool that simplifies database management focusing on
 interactivity, designed to be powerful and lightweight.
 .
 This package contains the PostgreSQL extension for interactive PL/pgSQL
 debugging in OmniDB.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/postgresql-common/pgxs_debian_control.mk

export PYTHON=python3
export PYBUILD_NAME=omnidb
export PYBUILD_DISABLE_python2=1

override_dh_install-arch:
	dh_install -a
	+pg_buildext loop omnidb_plugin postgresql-%v-omnidb

override_dh_install-indep:
	dh_install -i
	echo "fonts:Depends=" >> debian/omnidb-common.substvars
	find debian -name '*.eot' -or -name '*.svg' -or -name '*.ttf' -or -name '*.woff*' | \
		while read path; do \
			file="$${path##*/}" ; \
			dpkg -S "*/$$file" | grep '^fonts' | sort | head -1 | while read pkg pkgpath; do \
				rm $$path; \
				ln -vs $$pkgpath $$path; \
				sed -i -e "/fonts:Depends/ s/$$/$${pkg%:},/" debian/omnidb-common.substvars; \
			done \
		done
	echo "js:Depends=" >> debian/omnidb-common.substvars
	find debian -regextype egrep -regex '.*/(jq|excanvas).*\.(css|js)$$' | \
		while read path; do \
			file="$$(echo $${path##*/} | sed -e 's/-[0-9.]*\././')" ; \
			dpkg -S "*/$$file" | grep '^libjs' | sort | head -1 | while read pkg pkgpath; do \
				rm $$path; \
				ln -vs $$pkgpath $$path; \
				sed -i -e "/js:Depends/ s/$$/$${pkg%:},/" debian/omnidb-common.substvars; \
			done \
		done
	find debian/omnidb-common/usr/lib \( -name .directory -or -name Thumbs.db \) -delete

override_dh_fixperms-indep:
	dh_fixperms -i
	find debian/omnidb-common/usr/lib -type f -perm /100 | xargs chmod -v -x

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) -C omnidb_plugin clean

%:
	dh $@ --with python3

=== debian/watch ===
version=4
opts="dversionmangle=s/\+ds//, repacksuffix=+ds" \
https://github.com/OmniDB/OmniDB/releases .*/(.*)\.tar\.gz

## omnidb 2.16.0%2Bds

=== debian/changelog ===
omnidb (2.16.0+ds-1.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Not symlinking fonts-glewlwyd files.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 18 Jun 2019 10:02:40 +0200

omnidb (2.16.0+ds-1) unstable; urgency=medium

  * New upstream version.
  * debian/watch: Ignore non-release tarballs.

 -- Christoph Berg <myon@debian.org>  Tue, 18 Jun 2019 10:02:40 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
 Build-Depends:
  debhelper (>= 11),
  dh-python,
- fonts-glewlwyd,
  fonts-roboto-unhinted,
  libjs-excanvas,
  libjs-jquery,

## omnidb 2.16.0+ds

=== requirements.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-Django==2.1.7
+Django==2.1.9
 cherrypy
 tornado
 click

=== debian/changelog ===
omnidb (2.16.0+ds-2) unstable; urgency=medium

  [ Chris Lamb ]
  * Make build reproducible by sorting font package dependencies.
    (Closes: #934919)

 -- Christoph Berg <myon@debian.org>  Fri, 16 Aug 2019 17:59:37 +0200

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 Build-Depends:
  debhelper (>= 11),
  dh-python,
+ fonts-glewlwyd,
  fonts-roboto-unhinted,
  libjs-excanvas,
  libjs-jquery,
@@ -84,46 +85,6 @@
  .
  This package runs OmniDB as system service on http://127.0.0.1:8000.
 
-Package: postgresql-9.4-omnidb
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.4
-Description: PostgreSQL PL/pgSQL debugger extension for OmniDB
- OmniDB is a web tool that simplifies database management focusing on
- interactivity, designed to be powerful and lightweight.
- .
- This package contains the PostgreSQL extension for interactive PL/pgSQL
- debugging in OmniDB.
-
-Package: postgresql-9.5-omnidb
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.5
-Description: PostgreSQL PL/pgSQL debugger extension for OmniDB
- OmniDB is a web tool that simplifies database management focusing on
- interactivity, designed to be powerful and lightweight.
- .
- This package contains the PostgreSQL extension for interactive PL/pgSQL
- debugging in OmniDB.
-
-Package: postgresql-9.6-omnidb
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.6
-Description: PostgreSQL PL/pgSQL debugger extension for OmniDB
- OmniDB is a web tool that simplifies database management focusing on
- interactivity, designed to be powerful and lightweight.
- .
- This package contains the PostgreSQL extension for interactive PL/pgSQL
- debugging in OmniDB.
-
-Package: postgresql-10-omnidb
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-10
-Description: PostgreSQL PL/pgSQL debugger extension for OmniDB
- OmniDB is a web tool that simplifies database management focusing on
- interactivity, designed to be powerful and lightweight.
- .
- This package contains the PostgreSQL extension for interactive PL/pgSQL
- debugging in OmniDB.
-
 Package: postgresql-11-omnidb
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-11

=== debian/tests/control ===
Depends: postgresql-11-omnidb, postgresql-server-dev-all
Tests: create-extension
Restrictions: allow-stderr

## omnidb 2.17.0%2Bds

=== debian/changelog ===
omnidb (2.17.0+ds-4.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 09 Oct 2020 13:34:04 +0200

omnidb (2.17.0+ds-4) unstable; urgency=medium

  * R³: no.

 -- Christoph Berg <myon@debian.org>  Fri, 09 Oct 2020 13:34:04 +0200

omnidb (2.17.0+ds-3) unstable; urgency=low

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Christoph Berg ]
  * Upload for PostgreSQL 13.
  * Use dh --with pgxs_loop.
  * debian/tests: Depend on 'make' instead of postgresql-server-dev-all.
  * debian/tests: Use 'pg_buildext psql'.

 -- Christoph Berg <myon@debian.org>  Fri, 02 Oct 2020 13:19:29 +0200

omnidb (2.17.0+ds-2) unstable; urgency=medium

  * Add "shared files" to omnidb-common description.
  * B-D on fonts-glyphicons-halflings instead of fonts-glewlwyd.
    (Closes: #962878, #964691)
  * DH 13.

 -- Christoph Berg <myon@debian.org>  Tue, 14 Jul 2020 13:14:54 +0200

omnidb (2.17.0+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Tue, 28 Jan 2020 14:01:41 +0100

omnidb (2.16.0+ds-4) unstable; urgency=medium

  * Source-only upload.

 -- Christoph Berg <myon@debian.org>  Mon, 11 Nov 2019 20:26:58 +0100

omnidb (2.16.0+ds-3) unstable; urgency=medium

  * Upload for PostgreSQL 12.

 -- Christoph Berg <myon@debian.org>  Tue, 29 Oct 2019 12:52:21 +0100

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,17 @@
 Uploaders:
  Christoph Berg <myon@debian.org>,
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 13),
  dh-python,
- fonts-glewlwyd,
+ fonts-glyphicons-halflings | fonts-glewlwyd,
  fonts-roboto-unhinted,
  libjs-excanvas,
  libjs-jquery,
  libjs-jquery-ui,
- postgresql-server-dev-all,
+ postgresql-all (>= 217~),
  python3:any | python3-all:any | python3-dev:any | python3-all-dev:any,
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://omnidb.org/
 Vcs-Browser: https://salsa.debian.org/postgresql/omnidb
 Vcs-Git: https://salsa.debian.org/postgresql/omnidb.git
@@ -39,7 +40,7 @@
  python3-sqlparse,
  python3-sshtunnel,
  python3-tornado,
-Description: Web tool for database management
+Description: Web tool for database management (shared files)
  OmniDB is a web tool that simplifies database management focusing on
  interactivity, designed to be powerful and lightweight. Check-out some
  characteristics:
@@ -85,6 +86,36 @@
  .
  This package runs OmniDB as system service on http://127.0.0.1:8000.
 
+Package: postgresql-9.5-omnidb
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.5
+Description: PostgreSQL PL/pgSQL debugger extension for OmniDB
+ OmniDB is a web tool that simplifies database management focusing on
+ interactivity, designed to be powerful and lightweight.
+ .
+ This package contains the PostgreSQL extension for interactive PL/pgSQL
+ debugging in OmniDB.
+
+Package: postgresql-9.6-omnidb
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.6
+Description: PostgreSQL PL/pgSQL debugger extension for OmniDB
+ OmniDB is a web tool that simplifies database management focusing on
+ interactivity, designed to be powerful and lightweight.
+ .
+ This package contains the PostgreSQL extension for interactive PL/pgSQL
+ debugging in OmniDB.
+
+Package: postgresql-10-omnidb
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-10
+Description: PostgreSQL PL/pgSQL debugger extension for OmniDB
+ OmniDB is a web tool that simplifies database management focusing on
+ interactivity, designed to be powerful and lightweight.
+ .
+ This package contains the PostgreSQL extension for interactive PL/pgSQL
+ debugging in OmniDB.
+
 Package: postgresql-11-omnidb
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-11
@@ -95,3 +126,22 @@
  This package contains the PostgreSQL extension for interactive PL/pgSQL
  debugging in OmniDB.
 
+Package: postgresql-12-omnidb
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-12
+Description: PostgreSQL PL/pgSQL debugger extension for OmniDB
+ OmniDB is a web tool that simplifies database management focusing on
+ interactivity, designed to be powerful and lightweight.
+ .
+ This package contains the PostgreSQL extension for interactive PL/pgSQL
+ debugging in OmniDB.
+
+Package: postgresql-13-omnidb
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-13
+Description: PostgreSQL PL/pgSQL debugger extension for OmniDB
+ OmniDB is a web tool that simplifies database management focusing on
+ interactivity, designed to be powerful and lightweight.
+ .
+ This package contains the PostgreSQL extension for interactive PL/pgSQL
+ debugging in OmniDB.

=== debian/tests/control ===
Depends: postgresql-9.5-omnidb, postgresql-9.6-omnidb, postgresql-10-omnidb, postgresql-11-omnidb, postgresql-12-omnidb, postgresql-13-omnidb, make
Tests: create-extension
Restrictions: allow-stderr

## omnidb 2.17.0+ds

=== requirements.txt ===
Django==2.1.11
CherryPy==18.1.1
tornado==6.0.2
Click==7.0
sqlparse==0.3.0
psycopg2-binary==2.8.2
pyscrypt==1.6.2
pyaes==1.6.1
openpyxl==2.5.14
RestrictedPython==4.0
cx_Oracle==7.1.3
PyMySQL==0.9.3
pgspecial==1.11.5
sshtunnel==0.1.5
pexpect==4.7.0

=== omnidb_plugin/Makefile ===
EXTENSION = omnidb_plugin
DATA = omnidb_plugin--0.0.1.sql
MODULES = omnidb_plugin

PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
override CPPFLAGS := $(CPPFLAGS) -I$(shell $(PG_CONFIG) --includedir)
override LDFLAGS := $(LDFLAGS) -lpq
include $(PGXS)

=== debian/changelog ===
omnidb (2.17.0+ds-5.pgdg18.04+1) bionic-pgdg; urgency=medium

  * Rebuild for bionic-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 11.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 15 Oct 2020 23:22:31 +0200

omnidb (2.17.0+ds-5) unstable; urgency=medium

  * Add test-dependency on postgresql-common (>= 219~) for pg_buildext psql.

 -- Christoph Berg <myon@debian.org>  Thu, 15 Oct 2020 23:22:31 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Christoph Berg <myon@debian.org>,
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper (>= 11),
  dh-python,
  fonts-glyphicons-halflings | fonts-glewlwyd,
  fonts-roboto-unhinted,

=== debian/rules ===
#!/usr/bin/make -f

export PYTHON=python3
export PYBUILD_NAME=omnidb
export PYBUILD_DISABLE_python2=1

override_dh_auto_install:
	+pg_buildext loop omnidb_plugin postgresql-%v-omnidb

override_dh_pgxs_test:
	echo 'CREATE EXTENSION omnidb_plugin' | pg_buildext psql . . postgresql-%v-omnidb

override_dh_install-indep:
	dh_install -i
	echo "fonts:Depends=" >> debian/omnidb-common.substvars
	find debian -name '*.eot' -or -name '*.svg' -or -name '*.ttf' -or -name '*.woff*' | LC_ALL=C sort | \
		while read path; do \
			file="$${path##*/}" ; \
			dpkg -S "*/$$file" | grep '^fonts' | LC_ALL=C sort | head -1 | while read pkg pkgpath; do \
				rm $$path; \
				ln -vs $$pkgpath $$path; \
				sed -i -e "/fonts:Depends/ s/$$/$${pkg%:},/" debian/omnidb-common.substvars; \
			done \
		done
	echo "js:Depends=" >> debian/omnidb-common.substvars
	find debian -regextype egrep -regex '.*/(jq|excanvas).*\.(css|js)$$' | LC_ALL=C sort | \
		while read path; do \
			file="$$(echo $${path##*/} | sed -e 's/-[0-9.]*\././')" ; \
			dpkg -S "*/$$file" | grep '^libjs' | LC_ALL=C sort | head -1 | while read pkg pkgpath; do \
				rm $$path; \
				ln -vs $$pkgpath $$path; \
				sed -i -e "/js:Depends/ s/$$/$${pkg%:},/" debian/omnidb-common.substvars; \
			done \
		done
	find debian/omnidb-common/usr/lib \( -name .directory -or -name Thumbs.db \) -delete

override_dh_fixperms-indep:
	dh_fixperms -i
	find debian/omnidb-common/usr/lib -type f -perm /100 | xargs chmod -v -x

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) -C omnidb_plugin clean

%:
	dh $@ --with pgxs_loop,python3

=== debian/tests/control ===
Depends: postgresql-9.5-omnidb, postgresql-9.6-omnidb, postgresql-10-omnidb, postgresql-11-omnidb, postgresql-12-omnidb, postgresql-13-omnidb, make, postgresql-common (>= 219~),
Tests: create-extension
Restrictions: allow-stderr

## omnidb 3.0.2b%2Bds

=== requirements.txt ===
Django
CherryPy
social-auth-app-django
django-auth-ldap
pyscrypt
pyaes
openpyxl
sshtunnel
psycopg2-binary
RestrictedPython
cx_Oracle
PyMySQL
sqlparse
pgspecial==1.11.5
django-sass

=== debian/changelog ===
omnidb (3.0.2b+ds-1.pgdg18.04+2) bionic-pgdg; urgency=medium

  * Rebuild for bionic-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 11.
    + Using Django 1.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 19 Nov 2020 11:57:16 +0100

omnidb (3.0.2b+ds-1) unstable; urgency=medium

  * New upstream version.
  * Update Files-Excluded, the offending files are in .old directories now.
  * The omnidb_plpgsql_plugin is moving to a separate source package.
  * New dependencies python3-django-sass and python3-social-django.
  * rm -rf /var/lib/omnidb/ on purge.

 -- Christoph Berg <myon@debian.org>  Thu, 19 Nov 2020 11:57:16 +0100

=== debian/control ===
Source: omnidb
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper (>= 11),
 dh-python,
 fonts-glyphicons-halflings | fonts-glewlwyd,
 fonts-roboto-unhinted,
 libjs-excanvas,
 libjs-jquery,
 libjs-jquery-ui,
 python3:any | python3-all:any | python3-dev:any | python3-all-dev:any,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://omnidb.org/
Vcs-Browser: https://salsa.debian.org/postgresql/omnidb
Vcs-Git: https://salsa.debian.org/postgresql/omnidb.git

Package: omnidb-common
Architecture: all
Depends:
 ${fonts:Depends},
 ${js:Depends},
 ${misc:Depends},
 ${python3:Depends},
 python3-cherrypy3,
 python3-django,
 python3-django-auth-ldap,
 python3-django-sass,
 python3-openpyxl,
 python3-paramiko,
 python3-pgspecial,
 python3-prettytable,
 python3-psycopg2,
 python3-pyaes,
 python3-restrictedpython,
 python3-scrypt,
 python3-social-django,
 python3-sqlparse,
 python3-sshtunnel,
Description: Web tool for database management (shared files)
 OmniDB is a web tool that simplifies database management focusing on
 interactivity, designed to be powerful and lightweight. Check-out some
 characteristics:
 .
  * Web Tool: Accessible from any platform, using a browser as a medium
  * Responsive Interface: All available functions in a single page
  * Unified Workspace: Different technologies managed in a single workspace
  * Simplified Editing: Easy to add and remove connections
  * Safety: Multi-user support with encrypted personal information
  * Interactive Tables: All functionalities use interactive tables, allowing
    copying and pasting in blocks
  * Smart SQL Editor: Contextual SQL code completion
  * Beautiful SQL Editor: You can choose between many available color themes
  * Tabbed SQL Editor: Easily add, rename or delete editor tabs
 .
 Supported DBMS: PostgreSQL, Oracle, MySQL, MariaDB
 .
 This package contains shared files.

Package: omnidb-server
Architecture: all
Depends:
 ${misc:Depends},
 adduser,
 omnidb-common (= ${binary:Version}),
Description: Web tool for database management
 OmniDB is a web tool that simplifies database management focusing on
 interactivity, designed to be powerful and lightweight. Check-out some
 characteristics:
 .
  * Web Tool: Accessible from any platform, using a browser as a medium
  * Responsive Interface: All available functions in a single page
  * Unified Workspace: Different technologies managed in a single workspace
  * Simplified Editing: Easy to add and remove connections
  * Safety: Multi-user support with encrypted personal information
  * Interactive Tables: All functionalities use interactive tables, allowing
    copying and pasting in blocks
  * Smart SQL Editor: Contextual SQL code completion
  * Beautiful SQL Editor: You can choose between many available color themes
  * Tabbed SQL Editor: Easily add, rename or delete editor tabs
 .
 Supported DBMS: PostgreSQL, Oracle, MySQL, MariaDB
 .
 This package runs OmniDB as system service on http://127.0.0.1:8000.

=== debian/rules ===
--- 
+++ 
@@ -3,12 +3,6 @@
 export PYTHON=python3
 export PYBUILD_NAME=omnidb
 export PYBUILD_DISABLE_python2=1
-
-override_dh_auto_install:
-	+pg_buildext loop omnidb_plugin postgresql-%v-omnidb
-
-override_dh_pgxs_test:
-	echo 'CREATE EXTENSION omnidb_plugin' | pg_buildext psql . . postgresql-%v-omnidb
 
 override_dh_install-indep:
 	dh_install -i
@@ -34,13 +28,5 @@
 		done
 	find debian/omnidb-common/usr/lib \( -name .directory -or -name Thumbs.db \) -delete
 
-override_dh_fixperms-indep:
-	dh_fixperms -i
-	find debian/omnidb-common/usr/lib -type f -perm /100 | xargs chmod -v -x
-
-override_dh_auto_clean:
-	dh_auto_clean
-	$(MAKE) -C omnidb_plugin clean
-
 %:
-	dh $@ --with pgxs_loop,python3
+	dh $@ --with python3

## omnidb 3.0.3b%2Bds

=== debian/changelog ===
omnidb (3.0.3b+ds-3.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 24 Nov 2021 12:35:14 +0100

omnidb (3.0.3b+ds-3) unstable; urgency=medium

  * Depend on python3-pymysql for MySQL support. (Closes: #992579)

 -- Christoph Berg <myon@debian.org>  Wed, 24 Nov 2021 12:35:14 +0100

omnidb (3.0.3b+ds-2) unstable; urgency=medium

  * Simplify URL PATH handling to be compatible with WSGI.

 -- Christoph Berg <myon@debian.org>  Mon, 01 Mar 2021 12:21:20 +0100

omnidb (3.0.3b+ds-1) unstable; urgency=medium

  * New upstream version.
  * Set /var/lib/omnidb owner to omnidb.
  * Require django 2 (needs backports on buster).
  * Remove obsolete libjs-excanvas dependency.

 -- Christoph Berg <myon@debian.org>  Tue, 19 Jan 2021 15:25:38 +0100

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,10 @@
 Uploaders:
  Christoph Berg <myon@debian.org>,
 Build-Depends:
- debhelper (>= 11),
+ debhelper (>= 12),
  dh-python,
  fonts-glyphicons-halflings | fonts-glewlwyd,
  fonts-roboto-unhinted,
- libjs-excanvas,
  libjs-jquery,
  libjs-jquery-ui,
  python3:any | python3-all:any | python3-dev:any | python3-all-dev:any,
@@ -27,7 +26,7 @@
  ${misc:Depends},
  ${python3:Depends},
  python3-cherrypy3,
- python3-django,
+ python3-django (>= 2:2.2),
  python3-django-auth-ldap,
  python3-django-sass,
  python3-openpyxl,
@@ -36,6 +35,7 @@
  python3-prettytable,
  python3-psycopg2,
  python3-pyaes,
+ python3-pymysql,
  python3-restrictedpython,
  python3-scrypt,
  python3-social-django,

## omnidb 3.0.3b+ds~20220624.1419-3~1.git15d79f9.pgdg22.04+1

=== debian/changelog ===
omnidb (3.0.3b+ds~20220624.1419-3~1.git15d79f9.pgdg22.04+1) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 24 Nov 2021 12:35:14 +0100

## omnidb 3.0.3b+ds~20220624.1419-3~1.git15d79f9.pgdg100+1

=== debian/changelog ===
omnidb (3.0.3b+ds~20220624.1419-3~1.git15d79f9.pgdg100+1) buster-pgdg; urgency=medium

  * Rebuild for buster-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 24 Nov 2021 12:35:14 +0100

## omnidb 3.0.3b+ds~20220624.1419-3~1.git15d79f9.pgdg110+1

=== debian/changelog ===
omnidb (3.0.3b+ds~20220624.1419-3~1.git15d79f9.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 24 Nov 2021 12:35:14 +0100

## omnidb 3.0.3b+ds~20220624.1419-3~1.git15d79f9.pgdg120+1

=== debian/changelog ===
omnidb (3.0.3b+ds~20220624.1419-3~1.git15d79f9.pgdg120+1) bookworm-pgdg; urgency=medium

  * Rebuild for bookworm-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 24 Nov 2021 12:35:14 +0100

## omnidb 3.0.3b+ds~20220624.1419-3~1.git15d79f9.pgdg+1

=== debian/changelog ===
omnidb (3.0.3b+ds~20220624.1419-3~1.git15d79f9.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 24 Nov 2021 12:35:14 +0100

## omnidb 3.0.3b+ds

=== requirements.txt ===
--- 
+++ 
@@ -11,5 +11,5 @@
 cx_Oracle
 PyMySQL
 sqlparse
-pgspecial==1.11.5
+pgspecial
 django-sass

=== debian/changelog ===
omnidb (3.0.3b+ds-6) unstable; urgency=medium

  * Team upload
  * Fix issue with serialization of Session instances (Closes: #1053100)
  * Replace deprecated url function with re_path

 -- Bradford D. Boyle <bradford.d.boyle@gmail.com>  Mon, 24 Jun 2024 10:48:38 +0200

omnidb (3.0.3b+ds-5) unstable; urgency=medium

  * Rebuild to fix remaining usr-merge issues.

  [ Debian Janitor ]
  * Update lintian override info format in d/source/lintian-overrides on line
    2-14, 16-18, 21, 23-24, 27.
  * Set upstream metadata fields: Repository-Browse.
  * Update standards version to 4.6.2, no changes needed.
  * Add missing build dependency on python3:any | python3-all:any |
    python3-dev:any | python3-all-dev:any | dh-sequence-python3 for addon
    python3.

 -- Christoph Berg <myon@debian.org>  Wed, 15 May 2024 15:20:20 +0000

omnidb (3.0.3b+ds-4) unstable; urgency=medium

  * Update watch file to look for github tags.

 -- Christoph Berg <myon@debian.org>  Mon, 07 Nov 2022 14:53:53 +0100

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,15 @@
 Uploaders:
  Christoph Berg <myon@debian.org>,
 Build-Depends:
- debhelper (>= 12),
+ debhelper-compat (= 13),
  dh-python,
  fonts-glyphicons-halflings | fonts-glewlwyd,
  fonts-roboto-unhinted,
  libjs-jquery,
  libjs-jquery-ui,
  python3:any | python3-all:any | python3-dev:any | python3-all-dev:any,
-Standards-Version: 4.5.0
+ python3:any | python3-all:any | python3-dev:any | python3-all-dev:any | dh-sequence-python3,
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://omnidb.org/
 Vcs-Browser: https://salsa.debian.org/postgresql/omnidb

=== debian/watch ===
version=4
opts="dversionmangle=s/\+ds//, repacksuffix=+ds" \
https://github.com/OmniDB/OmniDB/tags .*/([0-9][^/]*)\.tar\.gz
